package com.leromro.core.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.leromro.core.domain.SecondOrder;
import com.leromro.core.domain.vo.VolunteerOrdersVO;
import com.leromro.core.mapper.SecondOrdersMapper;
import com.leromro.core.service.ISecondOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SecondOrdersServiceImpl extends ServiceImpl<SecondOrdersMapper, SecondOrder> implements ISecondOrderService {
    @Autowired
    private SecondOrdersMapper secondOrdersMapper;
    /**
     * @param orderStatus
     * @return
     */
    @Override
    public List<VolunteerOrdersVO> selectOrderList(Long userId,Long orderStatus) {
        return secondOrdersMapper.selectVolunteerOrder( userId,orderStatus);
    }
}
